<p align="center">
  <a href="https://www.github.com/kayooliveira/kowind" target="_blank" rel="noopener noreferrer">
    <img width="200" src="./src/Assets/img/logo.svg" alt="kowind logo">
  </a>
</p>
<br>
<p align="center">
  <span>
    <a href="https://npmjs.com/package/create-kowind"><img src="https://img.shields.io/npm/v/create-kowind?style=flat" alt="version"></a>
    <a href="https://nodejs.org/en/about/releases/"><img src="https://img.shields.io/npm/dw/create-kowind?style=flat" alt="npm-download"></a>
  </span>

</p>
<br/>

# <p align="center"> :bird: ***KOWIND*** v3 :bird: 

> #### Vite helper based on [vitawind](https://github.com/huibizhang/vitawind)

- 🧰 Easy To Install
- ⚡️ Automatically open Tailwind JIT Mode
- ⚙ One-Command Setting
- :rocket: Automatically configures ESLint and some plugins for it.

<br>

> #### Eslint plugins:
> - eslint-config-prettier
> - eslint-config-standard
> - eslint-plugin-import
> - eslint-plugin-import-helpers
> - eslint-plugin-n
> - eslint-plugin-prettier
> - eslint-plugin-promise
> - eslint-plugin-react

<br>


## :computer: Why Kowind? :computer:

Kowind is a Vite helper that helps you to quickly start a Vite project.

Based on [vitawind](https://github.com/huibizhang/vitawind), [kowind](https://github.com/kayooliveira/kowind) brings ESLint plugin and some other plugins to it that help you to format your code quickly and efficiently.


## :book: What is Vite? :book:

Vite is a build tool that aims to provide a faster and leaner development experience for modern web projects.

<br>

## :speech_balloon: How to use Kowind? :speech_balloon:

> Just run the following commands in your terminal.
```
    $ yarn create kowind <project-name> --template <template-name>
    #or
    $ npm init kowind <project-name> --template <template-name>

    $ cd <project-name>
```

Kowind install all the dependencies automatically for you.

Just run `yarn dev` or `npm run dev` to start the project.

The project will be available at **`http://localhost:3000`**.


I hope you enjoy using Kowind!

Feel free to ask questions or report bugs on [Github](https://github.com/kayooliveira/kowind).
## License
MIT

#### <p align="center"> made with :two_hearts: by [Kayo Oliveira](https://github.com/kayooliveira)